---
title: Create
slug: reference/ReFb-create
docTags: 
createdAt: 2025-07-10T21:22:17.702Z
---

{
  "id": "JPEUT-44pxNXzy6N7q07h",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://app.amberflo.io/business-unit/chargeback/quote",
    "servers": [
      {
        "url": "https://app.amberflo.io/business-unit/chargeback/quote"
      }
    ],
    "name": "Create",
    "description": "<p>Create a chargeback quote.</p>\n<p>A chargeback quote is basically an estimation of what the chargeback amount will be, given some resource usage pattern.</p>\n<p>It can target a specific business unit or not.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "business_unit.chargeback_quote.ChargebackQuote.in",
          "schema": [
            {
              "name": "id",
              "kind": "required",
              "type": "string",
              "description": "The id of this quote.",
              "example": ""
            },
            {
              "name": "label",
              "kind": "required",
              "type": "string",
              "description": "Display label of this quote.",
              "example": ""
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": "Description of this quote.",
              "example": ""
            },
            {
              "name": "businessUnitId",
              "kind": "optional",
              "type": "string",
              "description": "The id of the business unit targetted by this quote.",
              "example": ""
            },
            {
              "name": "startTimeInSeconds",
              "kind": "required",
              "type": "integer<int64>",
              "description": "The start time (inclusive) of the estimation period of this quote, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
              "example": 0
            },
            {
              "name": "endTimeInSeconds",
              "kind": "required",
              "type": "integer<int64>",
              "description": "The end time (exclusive) of the estimation period of this quote, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
              "example": 0
            },
            {
              "name": "lineItems",
              "kind": "required",
              "type": "array",
              "description": "The line items for this quote.",
              "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.in",
              "customType": "business_unit.chargeback_quote.QuoteLineItem.in[]",
              "schema": [
                {
                  "name": "provider",
                  "kind": "required",
                  "type": "string",
                  "description": "",
                  "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedProvider.in",
                  "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedProvider.in",
                  "schema": []
                },
                {
                  "name": "service",
                  "kind": "optional",
                  "type": "string",
                  "example": ""
                },
                {
                  "name": "meterApiName",
                  "kind": "optional",
                  "type": "string",
                  "example": ""
                },
                {
                  "name": "dimensions",
                  "kind": "optional",
                  "type": "map",
                  "example": "",
                  "customType": "map<string, string>",
                  "schema": []
                },
                {
                  "name": "pricingUnit",
                  "kind": "optional",
                  "type": "string",
                  "example": ""
                },
                {
                  "name": "region",
                  "kind": "optional",
                  "type": "string",
                  "example": ""
                },
                {
                  "name": "description",
                  "kind": "optional",
                  "type": "string",
                  "example": ""
                },
                {
                  "name": "usageEstimate",
                  "kind": "required",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.UsageEstimate.in",
                  "customType": "business_unit.chargeback_quote.QuoteLineItem.UsageEstimate.in",
                  "schema": [
                    {
                      "name": "perTimeUnit",
                      "kind": "optional",
                      "type": "string",
                      "description": "",
                      "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.TimeUnit.in",
                      "customType": "business_unit.chargeback_quote.QuoteLineItem.TimeUnit.in",
                      "schema": []
                    },
                    {
                      "name": "quantity",
                      "kind": "optional",
                      "type": "number",
                      "example": ""
                    }
                  ]
                },
                {
                  "name": "unitPrice",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedUnitPrice.in",
                  "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedUnitPrice.in",
                  "schema": [
                    {
                      "name": "type",
                      "kind": "optional",
                      "type": "string",
                      "description": "",
                      "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.PriceType.in",
                      "customType": "business_unit.chargeback_quote.QuoteLineItem.PriceType.in",
                      "schema": []
                    },
                    {
                      "name": "price",
                      "kind": "optional",
                      "type": "number",
                      "example": ""
                    }
                  ]
                },
                {
                  "name": "chargebackRate",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedChargebackRate.in",
                  "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedChargebackRate.in",
                  "schema": [
                    {
                      "name": "type",
                      "kind": "optional",
                      "type": "string",
                      "description": "",
                      "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.PriceType.in",
                      "customType": "business_unit.chargeback_quote.QuoteLineItem.PriceType.in",
                      "schema": []
                    },
                    {
                      "name": "rate",
                      "kind": "optional",
                      "type": "number",
                      "example": ""
                    }
                  ]
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/business_unit.chargeback_quote.ChargebackQuote.in",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "business_unit.chargeback_quote.ChargebackQuote.out",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "The id of this quote.",
                "example": ""
              },
              {
                "name": "label",
                "kind": "required",
                "type": "string",
                "description": "Display label of this quote.",
                "example": ""
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Description of this quote.",
                "example": ""
              },
              {
                "name": "businessUnitId",
                "kind": "optional",
                "type": "string",
                "description": "The id of the business unit targetted by this quote.",
                "example": ""
              },
              {
                "name": "startTimeInSeconds",
                "kind": "required",
                "type": "integer<int64>",
                "description": "The start time (inclusive) of the estimation period of this quote, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                "example": 0
              },
              {
                "name": "endTimeInSeconds",
                "kind": "required",
                "type": "integer<int64>",
                "description": "The end time (exclusive) of the estimation period of this quote, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                "example": 0
              },
              {
                "name": "lineItems",
                "kind": "required",
                "type": "array",
                "description": "The line items for this quote.",
                "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.out",
                "customType": "business_unit.chargeback_quote.QuoteLineItem.out[]",
                "schema": [
                  {
                    "name": "provider",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedProvider.out",
                    "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedProvider.out",
                    "schema": []
                  },
                  {
                    "name": "service",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "meterApiName",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "dimensions",
                    "kind": "optional",
                    "type": "map",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "pricingUnit",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "region",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "usageEstimate",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.UsageEstimate.out",
                    "customType": "business_unit.chargeback_quote.QuoteLineItem.UsageEstimate.out",
                    "schema": [
                      {
                        "name": "perTimeUnit",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.TimeUnit.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.TimeUnit.out",
                        "schema": []
                      },
                      {
                        "name": "quantity",
                        "kind": "optional",
                        "type": "number",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "unitPrice",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedUnitPrice.out",
                    "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedUnitPrice.out",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                        "schema": []
                      },
                      {
                        "name": "price",
                        "kind": "optional",
                        "type": "number",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "chargebackRate",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.QuotedChargebackRate.out",
                    "customType": "business_unit.chargeback_quote.QuoteLineItem.QuotedChargebackRate.out",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                        "customType": "business_unit.chargeback_quote.QuoteLineItem.PriceType.out",
                        "schema": []
                      },
                      {
                        "name": "rate",
                        "kind": "optional",
                        "type": "number",
                        "example": ""
                      }
                    ]
                  }
                ]
              },
              {
                "name": "createTimeInMillis",
                "kind": "optional",
                "type": "integer<int64>",
                "example": 0
              },
              {
                "name": "updateTimeInMillis",
                "kind": "optional",
                "type": "integer<int64>",
                "example": 0
              }
            ],
            "modelRef": "#/components/schemas/business_unit.chargeback_quote.ChargebackQuote.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "W87xNo9EvxZod7I0pu3kV",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://app.amberflo.io/business-unit/chargeback/quote \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"id\": \"\",\n     \"label\": \"\",\n     \"startTimeInSeconds\": 0,\n     \"endTimeInSeconds\": 0,\n     \"lineItems\": [\n     {\n     \"provider\": \"\",\n     \"usageEstimate\": {}\n     }\n     ]\n     }'"
        },
        {
          "id": "cuWN5SbRlSM8mfIx1tbFy",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"id\": \"\",\n   \"label\": \"\",\n   \"startTimeInSeconds\": 0,\n   \"endTimeInSeconds\": 0,\n   \"lineItems\": [\n      {\n         \"provider\": \"\",\n         \"usageEstimate\": {}\n      }\n   ]\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/business-unit/chargeback/quote\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "CH3AwqKrMEZGFmQKBhlUO",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/business-unit/chargeback/quote\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"id\": \"\",\n   \"label\": \"\",\n   \"startTimeInSeconds\": 0,\n   \"endTimeInSeconds\": 0,\n   \"lineItems\": [\n      {\n         \"provider\": \"\",\n         \"usageEstimate\": {}\n      }\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "b8jBTz8tsAY7TNN9u4qwI",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/business-unit/chargeback/quote\"\n\npayload = json.dumps({\n   \"id\": \"\",\n   \"label\": \"\",\n   \"startTimeInSeconds\": 0,\n   \"endTimeInSeconds\": 0,\n   \"lineItems\": [\n      {\n         \"provider\": \"\",\n         \"usageEstimate\": {}\n      }\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "W87xNo9EvxZod7I0pu3kV"
    },
    "results": {
      "languages": [
        {
          "id": "8yx1Bmy1ITThmuNL6EoLR",
          "language": "200",
          "code": "// Successful request\n{\n  \"id\": \"\",\n  \"label\": \"\",\n  \"description\": \"\",\n  \"businessUnitId\": \"\",\n  \"startTimeInSeconds\": \"\",\n  \"endTimeInSeconds\": \"\",\n  \"lineItems\": [\n    {\n      \"provider\": \"\",\n      \"service\": \"\",\n      \"meterApiName\": \"\",\n      \"dimensions\": \"\",\n      \"pricingUnit\": \"\",\n      \"region\": \"\",\n      \"description\": \"\",\n      \"usageEstimate\": {\n        \"perTimeUnit\": \"\",\n        \"quantity\": 0\n      },\n      \"unitPrice\": {\n        \"type\": \"\",\n        \"price\": 0\n      },\n      \"chargebackRate\": {\n        \"type\": \"\",\n        \"rate\": 0\n      }\n    }\n  ],\n  \"createTimeInMillis\": \"\",\n  \"updateTimeInMillis\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "8yx1Bmy1ITThmuNL6EoLR"
    }
  },
  "children": [
    {
      "id": "f6EwT8aisSahn-d2PT263",
      "type": "paragraph",
      "children": [
        {
          "text": "Create a chargeback quote.",
          "id": "j0TOmX4xgcvcDE8_peEuZ"
        }
      ]
    },
    {
      "id": "97iVKycuAjY1kzgeuWwQN",
      "type": "paragraph",
      "children": [
        {
          "text": "A chargeback quote is basically an estimation of what the chargeback amount will be, given some resource usage pattern.",
          "id": "z7cKoYNERxbX5_E2VW2eP"
        }
      ]
    },
    {
      "id": "B4amuWEUknb1_FnsrrZk2",
      "type": "paragraph",
      "children": [
        {
          "text": "It can target a specific business unit or not.",
          "id": "VLz7LppS5T-y-LDk9UDty"
        }
      ]
    }
  ]
}